Skip to main content
POST
/
1
/
indexes
/
*
/
queries
curl
curl --request POST \
  --url 'https://algolia_application_id.algolia.net/1/indexes/*/queries' \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
  --data '
{
  "requests": [
    {
      "params": "hitsPerPage=2&getRankingInfo=1",
      "indexName": "products",
      "type": "default",
      "extensions": {
        "queryCategorization": {
          "enableCategoriesRetrieval": false,
          "enableAutoFiltering": false
        }
      }
    }
  ],
  "strategy": "none"
}
'
{
  "results": [
    {
      "hits": [
        {
          "objectID": "test-record-123",
          "_highlightResult": {},
          "_snippetResult": {},
          "_rankingInfo": {
            "firstMatchedWord": 1,
            "geoDistance": 1,
            "nbExactWords": 1,
            "nbTypos": 1,
            "userScore": 123,
            "filters": 1,
            "geoPrecision": 2,
            "matchedGeoLocation": {
              "lat": 123,
              "lng": 123,
              "distance": 123
            },
            "personalization": {
              "filtersScore": 123,
              "rankingScore": 123,
              "score": 123
            },
            "promoted": true,
            "proximityDistance": 1,
            "words": 2,
            "promotedByReRanking": true
          },
          "_distinctSeqID": 123
        }
      ],
      "abTestID": 123,
      "abTestVariantID": 2,
      "aroundLatLng": "40.71,-74.01",
      "automaticRadius": "<string>",
      "exhaustive": {
        "facetsCount": true,
        "facetValues": true,
        "nbHits": true,
        "rulesMatch": true,
        "typo": true
      },
      "appliedRules": [
        {}
      ],
      "exhaustiveFacetsCount": true,
      "exhaustiveNbHits": true,
      "exhaustiveTypo": true,
      "facets": {
        "category": {
          "food": 1,
          "tech": 42
        }
      },
      "facets_stats": {},
      "index": "indexName",
      "indexUsed": "indexNameAlt",
      "message": "<string>",
      "nbSortedHits": 20,
      "parsedQuery": "george clo",
      "processingTimeMS": 20,
      "processingTimingsMS": {},
      "queryAfterRemoval": "<string>",
      "redirect": {
        "index": [
          {
            "source": "<string>",
            "dest": "<string>",
            "reason": "<string>",
            "succeed": true,
            "data": {
              "ruleObjectID": "<string>"
            }
          }
        ]
      },
      "renderingContent": {
        "facetOrdering": {
          "facets": {
            "order": [
              "<string>"
            ]
          },
          "values": {}
        },
        "redirect": {
          "url": "<string>"
        },
        "widgets": {
          "banners": [
            {
              "image": {
                "urls": [
                  {
                    "url": "<string>"
                  }
                ],
                "title": "<string>"
              },
              "link": {
                "url": "<string>"
              }
            }
          ]
        }
      },
      "serverTimeMS": 20,
      "serverUsed": "c2-uk-3.algolia.net",
      "userData": {
        "settingID": "f2a7b51e3503acc6a39b3784ffb84300",
        "pluginVersion": "1.6.0"
      },
      "queryID": "a00dbc80a8d13c4565a442e7e2dca80a",
      "_automaticInsights": true,
      "page": 0,
      "nbHits": 20,
      "nbPages": 1,
      "hitsPerPage": 20,
      "query": "",
      "params": "query=a&hitsPerPage=20",
      "extensions": {
        "queryCategorization": {
          "normalizedQuery": "<string>",
          "count": 123,
          "type": "narrow",
          "categories": [
            {
              "bin": "certain",
              "hierarchyPath": [
                {
                  "facetName": "<string>",
                  "facetValue": "<string>",
                  "depth": 123
                }
              ]
            }
          ],
          "autofiltering": {
            "enabled": true,
            "maxDepth": 123,
            "facetFilters": [
              "<string>"
            ],
            "optionalFilters": [
              "<string>"
            ]
          }
        }
      }
    }
  ]
}
This can be useful in these cases:
  • Different indices for different purposes, such as, one index for products, another one for marketing content.
  • Multiple searches to the same index—for example, with different filters.
Use the helper searchForHits or searchForFacets to get the results in a more convenient format, if you already know the return type you want. Required ACL: search

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Body

application/json

Muli-search request body. Results are returned in the same order as the requests.

requests
Search parameters as query string · object · Search parameters as object · object · Search parameters as query string · object · Search parameters as object · object[]
required

Search parameters as query string.

strategy
enum<string>

Strategy for multiple search queries:

  • none. Run all queries.
  • stopIfEnoughMatches. Run the queries one by one, stopping as soon as a query matches at least the hitsPerPage number of results.
Available options:
none,
stopIfEnoughMatches

Response

OK

results
object[]
required
Last modified on March 23, 2026